#ifndef _KMPARSEJSON_H
#define _KMPARSEJSON_H

#include <iostream>
#include <string>

class KMJsonHelper
{
public:
    // 封装进度条数据为 JSON 字符串
    static std::string packProgressInfoToJson(const std::string &refId, int progress, const std::string &speed, int timeout);

    // 封装本地包信息数据为 JSON 字符串
    static std::string packLocalInfoToJson(const std::string &name, const std::string &version, int size, const std::string &branch);

    // 封装远程包信息数据为 JSON 字符串
    static std::string packRemoteInfoToJson(const std::string &name, int size, const std::string &branch);

    // 从 JSON 字符串解析进度条数据
    static void unpackFromJson(const std::string &jsonString, std::string &refId, int &progress, std::string &speed, int &timeout);
};

#endif